package api.common.pojo.vo.map;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 多模式仿真
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SimulationMapVO implements Serializable {
    private String id;
    private String mapCode;
    private String mapName;
    private String mapJson;

    private String mapPath;

    private String mapDescription;
    private String mapImgUrl;
    private Integer pathNum;
    private Integer deleted;

    private Timestamp createTime;
    private Timestamp updateTime;


}