package api.common.pojo.po.scene;

import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 复杂度数据
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneComplexityPO implements Serializable {
    private List<String> sceneIdList;
    private String complexityId;
    private String sceneId;
    private String sceneType;
    private String ruleId;
    private String ruleName;
    private String taskId;
    private Integer complexity;
    private Integer complexityLevel;
    // 复杂度下限
    private Integer minComplexity;
    // 复杂度上限
    private Integer maxComplexity;
}