package api.common.pojo.po.scene;

import lombok.*;

import java.io.Serializable;

/**
 * 复杂度数据
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneRiskPO implements Serializable {
    private String riskId;
    private String sceneId;
    private String sceneType;
    private String ruleId;
    private String algorithmId;
    private String vehicleId;
    private String taskId;
    private Integer risk;
    private Integer riskLevel;
    private Integer minRisk;
    private Integer maxRisk;
}